# Document management

## Introduction

#### EverReal provides 2 ways to upload files.

1. Uploading a **document** that can be linked to various entities directly.
2. Uploading a **file** for later use that can be transformed to a document later or can be used for other data sources, like linking it to a listing.

#### Most common scenarios

* For uploading documents to properties and units, please use the [Document management](/endpoints/document-management/document-management.md) page.
* For uploading files for listings please use the [Simple file upload](/endpoints/document-management/simple-file-upload.md) page.

#### Important to know

* All files uploaded to your account are tracked and are subject to extra cost if the account file size exceeds 10GB
* Maximum file size allowed to be uploaded is 20MB
* We don't support uploading in chunks for bigger file sizes - yet
* Images are resized automatically for storage optimisation to a maximum size /or width of 2500px.
* A relative path needs to be passed for every upload as `resourcePath` property and we will return the final `resourcePath` with the company namespace appended to it, similar to something like: `subdomain/{accountUniqueIdentifier}/{resourcePath}`.&#x20;
  * for documents we also append the document id at the end, so the final resourcePath will look like `subdomain/{accountUniqueIdentifier}/{resourcePath}/{documentId}`
* To get the complete URL to the file, you should append one of these urls:
  * `https://resources.everreal.co/returnedResourcePath` for production environment
  * `https://qa.resources.everreal.co/returnedResourcePath` for staging environment
* We don't provide an "update" endpoint, because the CDN will cache the resources, thus we recommend always creating a new file and to delete the old one. The CDN cache is between 1h to 24h.

#### GDPR

* All files are stored in AWS S3 and encrypted on bucket level and only we, as EverReal have access to it.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.everreal.co/endpoints/document-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
